2020-06-02 10:53 - hidden

Status: Closed

Priority: Normal

Category:

Customer: AUDI Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-10368

Department: EF Affected Products: ADTF 3.6.3

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Known Problem FAQ Links:

Description

Supportanfrage

Uns ist ein Unterschied zwischen property_variable<tUInt16> und property variable<tUInt32> aufgefallen. Beim Andern der Werte in
den Filter-Propertys scheint im ersteren Fall kein Update im Filter anzukommen. Beim Andern des Property-Typs in tUInt32 aber
schon. Handelt es sich um einen bekannten Bug? Oder habt ihr eine Idee, was wir méglicherweise falsch machen kénnten?

Lésung

Wenn mich nicht alles tauscht, gab es hier mit t(U)Int8 und t(U)Int16 Probleme, was in ACORE-10368 zu ADTF 3.7.0 gefixt wurde.
Ich wirde mal behaupten, dass das problem mit einen Upgrade (am besten gleich auf 3.7.1) behoben ist.

PS: Ab 3.7.0 gibt es auch ein Callback wenn sich eine Property &ndert (analog zum Property Update aus ADTF 2.x), falls ihr das
braucht. Weitere Infos:

e https //suooortdlqnalwerk net/adtf/v3/adtf_html/page_release_notes_3_7_0.html

8af2eee955222b31 3
¢ https://support.digitalwerk.net/adtf/v3/guides/sdk_properties_filter.html

History

#1 - 2020-06-03 12:09 - hidden

- Project changed from Public Support to 11
- Status changed from New to In Progress

- Topic set to ADTF::CE

- Customer set to AUDI

- Department set to EF

#2 - 2020-06-03 12:46 - hidden
- Status changed from In Progress to Customer Feedback Required
Hi Patrick,

mir ist da jetzt nichts bekannt, kénntest du evtl. mal in der entsprechenden *.adtfproperties Datei nachschauen ob die Anderung serialisiert wird.
Die Datei sollte relativ zu deiner *.adtfsession Datei liegen unter ./adtfgraphs/ .

Vielleicht einfach mal eine Anderung machen, speichern und schauen ob diese in der Datei ankommt.
So kénnen wir zumindest mal schauen ob es ein Config oder Laufzeit Problem ist.

Danke & GriiBe
Sebastian

#3 - 2020-06-03 13:23 - hidden

Hallo Sebastian,
https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_7_0.html
https://support.digitalwerk.net/adtf/v3/adtf_html/classadtf_1_1base_1_1hollow_1_1property__variable.html#a82e15623ec4af708af2eee955222b313
https://support.digitalwerk.net/adtf/v3/adtf_html/classadtf_1_1base_1_1hollow_1_1property__variable.html#a82e15623ec4af708af2eee955222b313
https://support.digitalwerk.net/adtf/v3/guides/sdk_properties_filter.html

ich habe deinen Hinweis an den Kollegen weitergeleitet, der das Problem gerade bearbeitet. Er kommt erst Giberndchste Woche aus dem Urlaub
zuriick.

Ich melde mich, sobald er wieder da ist.

Gruf3
Patrick

#4 - 2020-06-09 08:46 - hidden
- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10368

@Patrick/Sebastian:

Wenn mich nicht alles tauscht, gab es hier mit t(U)Int8 und t(U)Int16 Probleme, was in ACORE-10368 zu ADTF 3.7.0 gefixt wurde.
Ich wiirde mal behaupten, dass das problem mit einen Upgrade (am besten gleich auf 3.7.1) behoben ist.

#6 - 2020-06-09 08:49 - hidden

PS: Ab 3.7.0 gibt es auch ein Callback wenn sich eine Property &ndert (analog zum Property Update aus ADTF 2.x), falls ihr das braucht. Weitere
Infos:

e https://support.digitalwerk.net/adtf/v3/adtf _html/page_release notes_3_7_0.html

e https://support.digitalwerk.net/adtf/v3/adtf _html/classadtf 1_1base_1_1hollow 1_1property variable.html#a82e15623ec4af708af2eee955222b
313

e https://support.digitalwerk.net/adtf/v3/quides/sdk_properties_filter.html

#7 - 2020-06-09 16:49 - hidden

Ich habe nun Feedback zu diesem Problem: Der Wechsel von ADTF 3.6 auf ADTF 3.7 hat das Problem tats&chlich geldst. Da wir so oder so den
Wechsel noch auf der Tagesordnung haben, hat sich die Sache erledigt.

Danke fiur den Callback-Tip. Das ist ntitzlich fur uns.

Das Ticket kann geschlossen werden.

#8 - 2020-06-09 18:51 - hidden

- Project changed from 11 to Public Support

- Subject changed from Probleme mit Property-Updates to No property update received for property_variable<tUInt16>
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#11 - 2020-07-07 12:50 - hidden
- Status changed from To Be Closed to Closed
